<?php
class Bi_agendamento_carga
{
	private $_codigo;
	private $_carga_dados;
	private $_hora_execucao;
	private $_recorrente;
	private $_valor_recorrencia;
	private $_unidade_recorrencia;
	private $_ultima_execucao;
	private $_executando;
	public function setCodigo($codigo)
	{
 		$this->_codigo = $codigo;
	}
	public function getCodigo()
	{
 		return $this->_codigo;
	}
	public function setCarga_dados($carga_dados)
	{
 		$this->_carga_dados = $carga_dados;
	}
	public function getCarga_dados()
	{
 		return $this->_carga_dados;
	}
	public function setHora_execucao(DateTime $hora_execucao)
	{
 		$this->_hora_execucao = $hora_execucao;
	}
	public function getHora_execucao()
	{
 		return $this->_hora_execucao;
	}
	public function setRecorrente($recorrente)
	{
 		$this->_recorrente = $recorrente;
	}
	public function getRecorrente()
	{
 		return $this->_recorrente;
	}
	public function setValor_recorrencia($valor_recorrencia)
	{
 		$this->_valor_recorrencia = $valor_recorrencia;
	}
	public function getValor_recorrencia()
	{
 		return $this->_valor_recorrencia;
	}
	public function setUnidade_recorrencia($unidade_recorrencia)
	{
 		$this->_unidade_recorrencia = $unidade_recorrencia;
	}
	public function getUnidade_recorrencia()
	{
 		return $this->_unidade_recorrencia;
	}
	public function setUltima_execucao(DateTime $ultima_execucao)
	{
 		$this->_ultima_execucao = $ultima_execucao;
	}
	public function getUltima_execucao()
	{
 		return $this->_ultima_execucao;
	}
	public function setExecutando($executando)
	{
 		$this->_executando = $executando;
	}
	public function getExecutando()
	{
 		return $this->_executando;
	}
}